Bug 247264 - [NEW PORT] www/monolith: CLI tool for saving complete web pages as a single HTML file
Summary: [NEW PORT] www/monolith: CLI tool for saving complete web pages as a single H...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL: https://github.com/Y2Z/monolith
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-14 20:00 UTC by Lewis Cook
Modified: 2020-06-16 05:38 UTC (History)
1 user (show)

See Also:


Attachments
monolith-2.2.7.diff (37.07 KB, patch)
2020-06-14 20:00 UTC, Lewis Cook
no flags Details | Diff
monolith-2.2.7.log (190.37 KB, text/plain)
2020-06-14 20:01 UTC, Lewis Cook
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lewis Cook freebsd_committer freebsd_triage 2020-06-14 20:00:51 UTC
Created attachment 215564 [details]
monolith-2.2.7.diff

Data hoarder's dream come true: bundle any web page into
a single HTML file. You can finally replace that gazillion
of open tabs with a gazillion of .html files stored somewhere
on your precious little drive.

Unlike the conventional "Save page as", monolith not only saves
the target document, it embeds CSS, image, and JavaScript assets
all at once, producing a single HTML5 document that is a joy to
store and share.

If compared to saving websites with wget -mpk, this tool embeds all
assets as data URLs and therefore lets browsers render the saved page
exactly the way it was on the Internet, even when no network connection
is available.

WWW: https://github.com/Y2Z/monolith

Tested:
 * portlint: OK (looks fine).
 * testport: OK (poudriere: 3.3.4).
Comment 1 Lewis Cook freebsd_committer freebsd_triage 2020-06-14 20:01:13 UTC
Created attachment 215565 [details]
monolith-2.2.7.log

* Poudriere testport log.
Comment 2 Kurt Jaeger freebsd_committer 2020-06-15 19:48:21 UTC
testbuild@work. That sounds cool!
Comment 3 Kurt Jaeger freebsd_committer 2020-06-16 05:38:16 UTC
Committed, thanks!
Comment 4 commit-hook freebsd_committer 2020-06-16 05:38:52 UTC
A commit references this bug:

Author: pi
Date: Tue Jun 16 05:38:02 UTC 2020
New revision: 539323
URL: https://svnweb.freebsd.org/changeset/ports/539323

Log:
  New port: www/monolith

  Data hoarder's dream come true: bundle any web page into
  a single HTML file. You can finally replace that gazillion
  of open tabs with a gazillion of .html files stored somewhere
  on your precious little drive.

  Unlike the conventional "Save page as", monolith not only saves
  the target document, it embeds CSS, image, and JavaScript assets
  all at once, producing a single HTML5 document that is a joy to
  store and share.

  If compared to saving websites with wget -mpk, this tool embeds all
  assets as data URLs and therefore lets browsers render the saved page
  exactly the way it was on the Internet, even when no network connection
  is available.

  WWW: https://github.com/Y2Z/monolith

  PR:		247264
  Submitted by:	Lewis Cook <vulcan@wired.sh>

Changes:
  head/www/Makefile
  head/www/monolith/
  head/www/monolith/Makefile
  head/www/monolith/distinfo
  head/www/monolith/pkg-descr